As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 747165 - Chat icons not shown on Aero in small icon mode
: Chat icons not shown on Aero in small icon mode
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: unspecified
: All Windows 7
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 13:55 PDT by Richard Marti (:Paenglab)
Modified: 2012-04-23 07:54 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix (1.11 KB, patch)
2012-04-19 13:58 PDT, Richard Marti (:Paenglab)
mconley: review+
Details | Diff | Splinter Review

Description User image Richard Marti (:Paenglab) 2012-04-19 13:55:30 PDT
When the toolbar is in small icons mode the icons aren't shown because the XP selectors are stronger.
Comment 1 User image Richard Marti (:Paenglab) 2012-04-19 13:58:25 PDT
Created attachment 616738 [details] [diff] [review]
Fix

Adding !important solves this issue. I also fixed a copy n paste error which also made the disabled Add buddy icon disappear.

Mike, I hope it's okay to ask you for review. You're so a fast reviewer :)
Comment 2 User image Mike Conley (:mconley) - PTO on Jan 20th 2012-04-20 13:46:30 PDT
Comment on attachment 616738 [details] [diff] [review]
Fix

Review of attachment 616738 [details] [diff] [review]:
-----------------------------------------------------------------

Works as advertised, and code looks good.

Thanks Richard,

-Mike
Comment 3 User image Richard Marti (:Paenglab) 2012-04-20 13:49:00 PDT
Mike, thank you for the fast review.
Comment 4 User image Mike Conley (:mconley) - PTO on Jan 20th 2012-04-20 13:49:33 PDT
Richard,

No problem!  Thanks for your great work!

-Mike
Comment 5 User image Richard Marti (:Paenglab) 2012-04-20 13:50:36 PDT
Comment on attachment 616738 [details] [diff] [review]
Fix

[Approval Request Comment]
The same issue exists also on Aurora. To work correctly this should also land there.
Comment 6 User image Ryan VanderMeulen [:RyanVM] 2012-04-20 14:21:49 PDT
http://hg.mozilla.org/comm-central/rev/ecdc43b5164e
Comment 7 User image Florian Quèze [:florian] [:flo] 2012-04-23 07:54:07 PDT
Comment on attachment 616738 [details] [diff] [review]
Fix

Removing the approval-comm-aurora flag as I think we should rather take the patch from bug 735702 (which includes a fix for the same issue, see bug 735702 comment 21) to aurora if we still want to fix icon stuff there.

Note You need to log in before you can comment on or make changes to this bug.